Bug 1297276 - mesa vdpau drivers are missing
Summary: mesa vdpau drivers are missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mesa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Dave Airlie
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-11 05:10 UTC by Wade Berrier
Modified: 2017-08-01 16:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 16:00:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1865 normal SHIPPED_LIVE Moderate: X.org X11 libraries security, bug fix and enhancement update 2017-08-01 17:50:43 UTC

Description Wade Berrier 2016-01-11 05:10:30 UTC
Description of problem:

el7 has a quite recent mesa version but the vdpau drivers are not built.

Any particular reason for this?

Looking at the .spec file it appears that "with_vdpau" can be set to "1", and that the r300 drivers can be included:

+%{_libdir}/vdpau/libvdpau_r300.so.1*

It would be great to have hardware accelerated video playback for software that supports vdpau.

Comment 2 Dave Airlie 2016-03-10 02:18:44 UTC
It isn't a major problem to enable these drivers.

Comment 3 Wade Berrier 2016-04-09 21:32:42 UTC
I built mesa with the above changes with the following card:

01:00.0 VGA compatible controller: NVIDIA Corporation GT218 [GeForce 210] (rev a2)

I installed the firmware and enabled reclocking according to:

https://nouveau.freedesktop.org/wiki/VideoAcceleration/

the audio was a bit "stuttery" playing hidef h264.

I tried reclocking with:

nouveau.pstate=1 and trying a few values in:

/sys/class/drm/card0/device/pstate

with no improvements (mplayer, kodi, mythtv)

As a comparison, using the 340.96 nvidia driver has smooth playback.

I don't know the likelihood of this improving on el7, but am reporting the results regardless.

I guess it would be interesting to try this hardware on fedora to see if the situation improved...

Comment 7 Tomas Pelka 2017-06-05 10:00:46 UTC
mesa vdpau drivers are part of mesa-vdpau-drivers rpm:

rpm -ql mesa-vdpau-drivers
/usr/lib64/vdpau/libvdpau_nouveau.so.1
/usr/lib64/vdpau/libvdpau_nouveau.so.1.0
/usr/lib64/vdpau/libvdpau_nouveau.so.1.0.0
/usr/lib64/vdpau/libvdpau_r600.so.1
/usr/lib64/vdpau/libvdpau_r600.so.1.0
/usr/lib64/vdpau/libvdpau_r600.so.1.0.0
/usr/lib64/vdpau/libvdpau_radeonsi.so.1
/usr/lib64/vdpau/libvdpau_radeonsi.so.1.0
/usr/lib64/vdpau/libvdpau_radeonsi.so.1.0.0

Comment 8 errata-xmlrpc 2017-08-01 16:00:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1865


Note You need to log in before you can comment on or make changes to this bug.